# $Revision: 1.116 $, $Date: 2011/08/31 18:29:44 $
Summary:	nano - Nano's ANOther editor, an enhanced free Pico clone
Summary(pl.UTF-8):	nano - jeszcze jeden edytor, darmowy, rozbudowany klon Pico
Name:		nano
Version:	2.2.6
Release:	3
License:	GPL v3+
Group:		Applications/Editors
Source0:	http://www.nano-editor.org/dist/v2.2/%{name}-%{version}.tar.gz
# Source0-md5:	03233ae480689a008eb98feb1b599807
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-info.patch
Patch1:		%{name}-ncurses-ncurses.h.patch
Patch2:		%{name}-link.patch
URL:		http://www.nano-editor.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel
BuildRequires:	groff
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nano (Nano's ANOther editor) is a small, free and friendly editor
which aims to replace Pico, the default editor included in the
non-free Pine package. Rather than just copying Pico's look and feel,
nano also implements some missing (or disabled by default) features in
Pico, such as "search and replace" and "go to line number".

%description -l pl.UTF-8
nano to mały, otwarty i przyjazny edytor, którego celem jest
zastąpienie Pico, standardowego edytora zawartego w niewolnym pakiecie
Pine. Oprócz wyglądu oraz interfejsu, nano posiada kilka brakujących
(lub wyłączonych standardowo) w Pico funkcji, takich jak: "znajdź i
zastąp" lub "idź do wiersza numer".

%prep
%setup -q
%patch0 -p1
%patch1 -p2
%patch2 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-all
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS ChangeLog NEWS README THANKS TODO UPGRADE doc/nanorc.sample doc/faq.html
%attr(755,root,root) %{_bindir}/nano
%attr(755,root,root) %{_bindir}/rnano
%{_desktopdir}/nano.desktop
%{_mandir}/man[15]/*
%lang(fr) %{_mandir}/fr/man[15]/*
%{_infodir}/*info*
%{_pixmapsdir}/nano.png
%{_datadir}/nano

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nano.spec,v $
Revision 1.116  2011/08/31 18:29:44  arekm
- release 3

Revision 1.115  2010/11/22 15:33:42  lisu
- rel 2

Revision 1.114  2010/11/22 15:33:28  lisu
- drop obsolete rm

Revision 1.113  2010/11/22 15:24:47  lisu
- 2.2.6

Revision 1.112  2010/08/09 07:47:27  lisu
- up to 2.2.5
- add -link.patch (link with -ltinfow)

Revision 1.111  2010/04/16 07:47:01  lisu
- 2.2.4

Revision 1.110  2010/02/15 14:53:06  sparky
- BR: groff

Revision 1.109  2010/02/15 09:55:33  lisu
- 2.2.3

Revision 1.108  2010/01/20 11:18:29  lisu
- 2.2.2

Revision 1.107  2009/12/24 11:01:20  lisu
- up to 2.2.1

Revision 1.106  2009/12/20 19:04:17  adamg
- updated to 2.2.0

Revision 1.105  2009/09/16 06:51:10  amateja
- updated to 2.1.11

Revision 1.104  2009/08/04 08:21:45  lisu
- up to 2.1.10

Revision 1.103  2009/02/18 20:52:49  arekm
- release 2

Revision 1.102  2009/02/17 15:18:19  lisu
- GPL v3+ license
- more verbose files

Revision 1.101  2009/02/17 15:13:41  lisu
- 2.1.9

Revision 1.100  2009/02/09 23:48:11  adamg
- updated to 2.1.8

Revision 1.99  2008/11/25 10:50:45  duddits
- up to 2.1.7

Revision 1.98  2008/10/14 20:15:09  duddits
- up to 2.1.6

Revision 1.97  2008/08/31 11:06:34  adamg
- updated to 2.1.5

Revision 1.96  2008/06/25 07:08:41  adamg
- updated to 2.1.2

Revision 1.95  2008-05-14 07:44:33  jajcus
- BR: glib2-devel, not glib-devel

Revision 1.94  2008-05-03 12:52:13  adamg
- updated to 2.1.1

Revision 1.93  2008-03-24 11:18:23  adamg
- updated to 2.1.0

Revision 1.92  2008-01-24 01:23:01  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.91  2007-12-25 01:08:10  adamg
- updated to 2.0.7, include rnano binary

Revision 1.90  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.89  2007/05/06 07:12:25  adamg
- updated to 2.0.6

Revision 1.88  2007/04/04 20:37:32  shadzik
- 2.0.3

Revision 1.87  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.86  2007/02/12 00:49:09  baggins
- converted to UTF-8

Revision 1.85  2006/12/23 12:14:17  glen
- check-files cleanup

Revision 1.84  2006/12/23 12:05:38  pluto
- updated to 2.0.2.

Revision 1.83  2006/11/21 16:12:27  shadzik
- up to 2.0.1 buxfix release by kaneda <kaneda at bohater dot net>

Revision 1.82  2006/11/18 22:36:30  shadzik
- rel 1
- STBR

Revision 1.81  2006/11/14 15:18:07  shadzik
- added missing HEAD cvslog

Revision 1.80  2006/11/14 15:15:54  shadzik
- merged from DEVEL

Revision 1.79  2006/11/13 22:37:00  shadzik
- 1.3.11

Revision 1.78.2.5  2006/11/13 22:15:01  shadzik
- up to 2.0.0 pionted by kaneda <kaneda at bohater dot net>
- ready to merge

Revision 1.78.2.4  2006/11/07 13:40:40  ankry
- pl fix; does pl translation need the same...?

Revision 1.78.2.3  2006/10/25 20:43:22  shadzik
- 1.9.99pre3 by kaneda <kaneda at bohater dot net>

Revision 1.78.2.2  2006/10/23 16:29:01  qboosh
- missing dir

Revision 1.78.2.1  2006/10/20 14:05:16  shadzik
- up to 1.9.99pre2 by kaneda <kaneda at bohater dot net>

Revision 1.78  2005/06/12 14:20:10  megabajt
- up to 1.2.5

Revision 1.77  2005/05/02 18:11:44  pluto
- release 3 for Th.

Revision 1.76  2004/11/05 14:35:40  paladine
- rel 2 for fixed desktop file

Revision 1.75  2004/07/09 21:50:18  adamg
- updated to 1.2.4

Revision 1.74  2004/02/19 22:46:11  eothane
- up to 1.2.3

Revision 1.73  2004/01/19 13:49:34  qboosh
- really removed patch

Revision 1.72  2004/01/19 13:26:05  qboosh
- removed obsolete no patch, follow glibc 2.3.3 (no_NO -> nb_NO)
- release 4

Revision 1.71  2003/12/06 18:49:16  freetz
- moved to desktopdir

Revision 1.70  2003/11/23 04:58:26  speedy
- release 2 for AC

Revision 1.69  2003/09/15 07:18:46  adamg
- updated to 1.2.2

Revision 1.68  2003/09/09 00:27:03  ankry
- nb -> no, rel. 6

Revision 1.67  2003/07/28 20:39:57  blues
- cosmetic

Revision 1.66  2003/06/01 11:41:37  mmazur
- rel. 4
- goto ankry

Revision 1.65  2003/05/28 12:59:50  malekith
- massive attack: source-md5

Revision 1.64  2003/05/25 05:50:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.63  2003/05/19 12:24:34  djrzulf
- added missing BR: glib-devel

Revision 1.62  2003/05/11 14:51:51  kloczek
- bump release to 3 for allow upgrade from RH,
- added ncurses-ncurses.h patch - now ins't neccessary passing
  -I/usr/include/ncurses to autoconf environment (patch posted to maintainer).

Revision 1.61  2003/05/10 18:54:41  areq
- 1.2.1

Revision 1.60  2002/11/07 16:36:02  jk
- typo in polish description

Revision 1.59  2002/11/05 00:22:59  ankry
- desktop fixed, rel. 3

Revision 1.58  2002/10/30 13:00:40  ankry
- desktop moved to toplevel Editors, rel. 2

Revision 1.57  2002/10/30 06:44:27  kloczek
- updated to 1.1.12: bug fixes,
- add am_fixes patch,
- added png icon for desktop file.

Revision 1.56  2002/10/29 01:32:44  ankry
- added desktop file, rel. 3

Revision 1.55  2002/10/09 13:25:37  kloczek
- release 2.

Revision 1.54  2002/10/09 10:30:41  qboosh
- BR: gettext-devel; new %%doc

Revision 1.53  2002/08/13 08:20:40  kloczek
- updated to 1.1.10: bugfixes.

Revision 1.52  2002/05/21 23:14:13  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
               s/^automake -a -c -f/\%\{__automake\}/; \
	       s/^autoconf/\%\{__autoconf\}/"

Revision 1.51  2002/05/13 06:25:23  kloczek
- updated to 1.1.9.

Revision 1.50  2002/04/07 08:51:23  kloczek
- updated to 1.1.8 (bugfix version),
- added info pages to %files.

Revision 1.49  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.48  2002/02/22 23:29:18  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.47  2002/01/26 15:17:46  kloczek
- updated to 1.1.6 (new regexp and bugfixes).

Revision 1.46  2002/01/18 02:14:00  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.45  2002/01/06 05:12:41  kloczek
- updated to 1.1.5 (bug fix release).

Revision 1.44  2001/12/18 09:52:03  kloczek
- updated to 1.1.4 (added color syntax support and bug fixes).

Revision 1.43  2001/12/06 15:45:00  qboosh
- pl description, release 2

Revision 1.42  2001/10/29 18:54:17  kloczek
- updated to 1.1.3.

Revision 1.41  2001/10/06 16:32:48  kloczek
- updated to 1.1.2.

Revision 1.40  2001/07/30 09:34:26  kloczek
- updated to 1.1.1,
- added ac_fixes patch (use standard AM_GNU_GETTEXT and AC_SYS_LARGEFILE).

Revision 1.39  2001/07/15 20:10:24  areq
- 1.1.0, STBR

Revision 1.38  2001/07/02 03:18:22  kloczek
- updated to 1.0.3.

Revision 1.37  2001/05/13 15:58:03  kloczek
- updated to 1.0.2.

Revision 1.36  2001/04/30 16:05:25  kloczek
- added using %%{rpmcflags} macro.

Revision 1.35  2001/04/09 15:32:51  kloczek
- updated to 1.0.1,
- removed "gettextize --copy --force" from %build (now isn't neccessary).

Revision 1.34  2001/03/23 10:49:49  mis
- updated (by autoup) to 1.0.0

Revision 1.33  2001/01/25 20:03:25  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.32  2001/01/08 23:11:55  kloczek
- updated to 0.9.25.

Revision 1.31  2000/12/19 13:41:39  kloczek
- uapdated to 0.9.24.

Revision 1.30  2000/12/09 22:40:48  kloczek
- updated to 0.9.23.

Revision 1.29  2000/12/04 06:16:43  kloczek
- uapdated to 0.9.22.

Revision 1.28  2000/11/24 08:30:18  kloczek
- updated to 0.9.21.

Revision 1.27  2000/11/19 06:35:55  kloczek
- updated to 0.9.20.

Revision 1.26  2000/10/03 06:40:18  kloczek
- updated to 0.9.19,
- use rpm new automation suit.

Revision 1.25  2000/09/19 10:44:02  kloczek
- updated to 0.9.18.

Revision 1.24  2000/09/04 22:22:47  kloczek
- updated to 0.9.17.

Revision 1.23  2000/08/10 23:10:54  kloczek
- updated to 0.9.16.

Revision 1.22  2000/08/04 07:48:21  kloczek
- updated to 0.9.15.

Revision 1.21  2000/07/28 11:08:49  kloczek
- updated to 0.9.14.

Revision 1.20  2000/07/23 18:43:18  kloczek
- updated to 0.9.13.

Revision 1.19  2000/07/15 05:12:27  kloczek
- updated to 0.9.12.

Revision 1.18  2000/07/13 23:16:49  baggins
- release 2
- rebuild with ncurses 5.1

Revision 1.17  2000/06/21 08:08:21  zagrodzki
- updated to 0.9.11

Revision 1.16  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.15  2000/06/09 07:23:26  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/06/05 15:37:58  kloczek
- updated to 0.9.10.

Revision 1.13  2000/05/31 16:06:20  kloczek
- updated to 0.9.9.

Revision 1.12  2000/05/19 15:21:34  kloczek
- updated to 0.9.8,
- spec adapterized.

Revision 1.11  2000/05/15 05:28:31  kloczek
- updated to 0.9.7.

Revision 1.10  2000/05/09 07:49:16  kloczek
- updated to 0.9.6.

Revision 1.9  2000/05/03 20:19:23  kloczek
- updated to 0.9.5.

Revision 1.8  2000/05/01 23:15:28  kloczek
- updated to 0.9.4.

Revision 1.7  2000/04/17 08:11:00  kloczek
- updated to 0.9.2.

Revision 1.6  2000/04/15 19:24:36  kloczek
- updated to 0.9.1.

Revision 1.5  2000/04/10 04:53:15  kloczek
- updated to 0.9.0.

Revision 1.4  2000/04/01 11:14:58  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.2  2000/03/23 14:15:33  kloczek
- completly rewrited in PLD style.
